Loading...
Searching...
No Matches
pcl::_PointNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointNormal:

## Public Attributes

union { |
struct { |
float curvature |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 830 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D PCL_ADD_NORMAL4D union { ... } pcl::_PointNormal

## curvature

float pcl::_PointNormal::curvature

Definition at line 838 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::get(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::operator()(), pcl::SIFTKeypointFieldSelector< PointNormal >::operator()(), and pcl::common::IntensityFieldAccessor< pcl::PointNormal >::set().

## data_c

float pcl::_PointNormal::data_c[4]

Definition at line 840 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp